WordListOne(3)

NAME
WordListOne - manage and use an inverted index file.

SYNOPSIS
#include <mifluz.h>
WordContext context;
WordList* words = context->List();
WordList* words = WordListOne(context)

DESCRIPTION
WordList is the mifluz equivalent of a database handler. Each WordList object is bound to an inverted index file and implements the operations to create it, fill it with word occurrences and search for an entry matching a given criterion. The general behavious of WordListOne is described in the WordList manual page. It is prefered to create a WordListOne instance by setting the wordlist_multi configuration parameter to false and calling the WordContext::List method. Only the methods that differ from WordList are listed here. All the methods of WordList are implemented by WordListOne and you should refer to the manual page for more information. The Cursor methods all return a WordCursorOne instance cast to a WordCursor object.

METHODS

WordListOne(WordContext* ncontext)
    Constructor. Build inverted index handling object using run time configuration parameters listed in the CONFIGURATION section of the WordList manual page.

int DeleteCursor(WordDBCursor& cursor)
    Delete the inverted index entry currently pointed to by the cursor. Returns 0 on success, Berkeley DB error code on error. This is mainly useful when implementing a callback function for a WordCursor.

AUTHORS
Loic Dachary loic@gnu.org The Ht://Dig group http://dev.htdig.org/

SEE ALSO
htdb_dump(1), htdb_stat(1), htdb_load(1), mifluzdump(1), mifluzload(1), mifluzsearch(1), mifluzdict(1), WordContext(3), WordList(3), WordDict(3), WordKey(3), WordKeyInfo(3), WordType(3), WordDBInfo(3), WordRecordInfo(3), WordRecord(3), WordReference(3), WordCursor(3), WordCursorOne(3), WordMonitor(3), Configuration(3), mifluz(3)